﻿using LogicNodesSDK.Logic.Examples;
using NUnit.Framework;
using LogicModule.ObjectModel;
using LogicModule.Nodes.TestHelper;

namespace ExampleNodesTest
{
  [TestFixture]
  public class LocalizationTest
  {
    [Test]
    public void PortNamesTest()
    {
      INodeContext context = TestNodeContext.Create();
      var node = new BasicNode(context);

      Assert.AreEqual("Zeitraum", node.Localize("de", "AverageTime"));
      Assert.AreEqual("Timespan", node.Localize("en", "AverageTime"));
      Assert.AreEqual("Timespan", node.Localize("ru", "AverageTime"));
    }
  }
}
